## opencpn-plugin-polar 1.1008.0

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      nohal aka. Pavel Kalian
## Copyright:   
## License:     wxWidgets License
##---------------------------------------------------------------------------
 
# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

PROJECT(polar_pi)

SET(PACKAGE_NAME polar_pi)
SET(VERBOSE_NAME Polar)
SET(TITLE_NAME POLAR)
SET(CPACK_PACKAGE_CONTACT "Peter Tulp")

SET(BUNDLE_DATA FALSE)

INCLUDE( VERSION.cmake )
SET(PLUGIN_VERSION "${PLUGIN_VERSION_MAJOR}.${PLUGIN_VERSION_MINOR}.${PLUGIN_VERSION_PATCH}" )

SET(VERSION_MAJOR ${PLUGIN_VERSION_MAJOR})
SET(VERSION_MINOR "${PLUGIN_VERSION_MINOR}${PLUGIN_VERSION_PATCH}")
SET(VERSION_DATE ${PLUGIN_VERSION_DATE})

#SET(CMAKE_BUILD_TYPE Debug)

INCLUDE("cmake/PluginConfigure.cmake")

SET(SRC_POLAR
            src/polar_pi.h
            src/polar_pi.cpp
            src/PolarGui.h
            src/PolarGui.cpp
            src/PolarDialog.h
            src/PolarDialog.cpp	
            src/Options.h			
            src/Polar.h
            src/Polar.cpp
            src/icons.h 
            src/icons.cpp
	    src/jsonreader.h
	    src/jsonreader.cpp
	    src/jsonwriter.h
	    src/jsonwriter.cpp
	    src/jsonval.h
	    src/jsonval.cpp
	    src/json_defs.h

)
SET(SRC_LNMEA0183
		src/nmea0183/LatLong.hpp
		src/nmea0183/latlong.cpp
		src/nmea0183/long.cpp
		src/nmea0183/nmea0183.cpp
		src/nmea0183/nmea0183.hpp
		src/nmea0183/Response.hpp
		src/nmea0183/response.cpp
		src/nmea0183/RMB.hpp
		src/nmea0183/rmb.cpp
		src/nmea0183/Sentence.hpp
		src/nmea0183/sentence.cpp
		src/nmea0183/talkerid.cpp
		src/nmea0183/RMC.HPP
		src/nmea0183/rmc.cpp
		src/nmea0183/hexvalue.cpp
		src/nmea0183/lat.cpp
		src/nmea0183/expid.cpp
		src/nmea0183/wpl.hpp
		src/nmea0183/wpl.cpp
		src/nmea0183/rte.hpp
		src/nmea0183/rte.cpp
		src/nmea0183/hdt.hpp
		src/nmea0183/hdt.cpp
		src/nmea0183/hdg.hpp
		src/nmea0183/hdg.cpp
		src/nmea0183/hdm.hpp
		src/nmea0183/hdm.cpp
		src/nmea0183/gll.hpp
		src/nmea0183/gll.cpp
		src/nmea0183/vtg.hpp
		src/nmea0183/vtg.cpp
		src/nmea0183/gga.hpp
		src/nmea0183/gga.cpp
		src/nmea0183/gsv.hpp
		src/nmea0183/gsv.cpp
		src/nmea0183/dbt.cpp
		src/nmea0183/dbt.hpp
		src/nmea0183/dpt.cpp
		src/nmea0183/dpt.hpp
		src/nmea0183/mtw.cpp
		src/nmea0183/mtw.hpp
		src/nmea0183/mwv.cpp
		src/nmea0183/mwv.hpp
		src/nmea0183/vhw.hpp
		src/nmea0183/vhw.cpp
		src/nmea0183/vwr.cpp
		src/nmea0183/vwr.hpp
		src/nmea0183/vwt.cpp
		src/nmea0183/vwt.hpp
		src/nmea0183/zda.cpp
		src/nmea0183/zda.hpp
		src/nmea0183/rsa.hpp
		src/nmea0183/rsa.cpp
		src/nmea0183/SatInfo.h

        )
ADD_DEFINITIONS(-DTIXML_USE_STL)
ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_POLAR} ${SRC_LNMEA0183})

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-polar (1.1008.0-0mx17+3) mx; urgency=medium

  * Lowered opencpn depends to 4.8.2

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 19 Aug 2019 14:11:24 -0700

opencpn-plugin-polar (1.1008.0-0mx17+2) mx; urgency=medium

  * Set wxwidgets3 versions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 13:13:53 -0700

opencpn-plugin-polar (1.1008.0-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 10:39:44 -0700

opencpn-plugin-polar (1.1008.0-0mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 10:32:47 -0700

opencpn-plugin-polar (1.1008.0-0~xenial1) xenial; urgency=low

  * Version 1.1008

 -- Dave Register <bdbcat@yahoo.com>  Mon, 27 May 2019 22:55:42 -0400

opencpn-plugin-polar (1.1008.0-0~trusty1) trusty; urgency=low

  * Version 1.1008

 -- Dave Register <bdbcat@yahoo.com>  Mon, 27 May 2019 22:55:42 -0400

opencpn-plugin-polar (1.1005.0-0~disco1) disco; urgency=low

  * Version 1.1005

 -- Dave Register <bdbcat@yahoo.com>  Mon, 27 May 2019 22:52:35 -0400

opencpn-plugin-polar (1.1005.0-0~cosmic1) cosmic; urgency=low

  * Version 1.1005

 -- Dave Register <bdbcat@yahoo.com>  Mon, 27 May 2019 22:52:35 -0400

opencpn-plugin-polar (1.1005.0-0~bionic1) bionic; urgency=low

  * Version 1.1005

 -- Dave Register <bdbcat@yahoo.com>  Mon, 27 May 2019 22:52:35 -0400

opencpn-plugin-polar (1.1005.0-0~xenial1) xenial; urgency=low

  * Version 1.1005

 -- Dave Register <bdbcat@yahoo.com>  Mon, 27 May 2019 22:52:35 -0400

opencpn-plugin-polar (1.1005.0-0~trusty1) trusty; urgency=low

  * Version 1.1005

 -- Dave Register <bdbcat@yahoo.com>  Mon, 27 May 2019 22:52:35 -0400

opencpn-plugin-polar (1.1004.0-0~precise1) precise; urgency=low

  * Version 1.1004

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 17:06:18 -0500

opencpn-plugin-polar (1.1004.0-0~trusty1) trusty; urgency=low

  * Version 1.1004

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 17:06:18 -0500

opencpn-plugin-polar (1.1004.0-0~utopic1) utopic; urgency=low

  * Version 1.1004

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 17:06:18 -0500

opencpn-plugin-polar (1.1004.0-0~vivid1) vivid; urgency=low

  * Version 1.1004

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 17:06:18 -0500

opencpn-plugin-polar (1.1004.0-0~wily1) wily; urgency=low

  * Version 1.1004

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 17:06:18 -0500

opencpn-plugin-polar (1.1003.0-0~precise1) precise; urgency=low

  * Version 1.1003

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 04 May 2015 12:19:00 -0500

opencpn-plugin-polar (1.1003.0-0~trusty1) trusty; urgency=low

  * Version 1.1003

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 04 May 2015 12:19:00 -0500

opencpn-plugin-polar (1.1003.0-0~utopic1) utopic; urgency=low

  * Version 1.1003

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 04 May 2015 12:19:00 -0500

opencpn-plugin-polar (1.1003.0-0~vivid1) vivid; urgency=low

  * Version 1.1003

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 04 May 2015 12:19:00 -0500

=== debian/control ===
Source: opencpn-plugin-polar
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: David Register <bdbcat@yahoo.com>
Build-Depends: debhelper (>= 10), cmake, cdbs, libgtk2.0-dev, gettext, gpsd, gpsd-clients, 
	libgps-dev, wx-common (>= 3.0.2), libwxgtk3.0-dev (>= 3.0.2), libglu1-mesa-dev, libgtk2.0-dev, 
	wx3.0-headers (>= 3.0.2), libbz2-dev, libtinyxml-dev, libsdl1.2debian, libportaudio2, 
	portaudio19-dev
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org
#Vcs-Git: git://git.debian.org/collab-maint/opencpn.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencpn.git;a=summary

Package: opencpn-plugin-polar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wx3.0-i18n (>= 3.0.2), opencpn (>= 4.8.2)
Description: Plugin for OpenCPN
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
